Help me,please when install Qt by Sources code



  • I have tried to install using following command (copied from link which you have posted )but not able to install all packages. My operating system is SUSE 11SP3.i586

    sudo zypper in xorg-x11-libxcb-devel xcb-util-devel xcb-util-image-devel xcb-util-keysyms-devel xcb-util-renderutil-devel xcb-util-wm-devel xorg-x11-devel libxkbcommon-devel

    The following message is displaying

    Loading repository data…
    Reading installed packages…
    Package ‘xorg-x11-devel’ not found.
    Package ‘xorg-x11-libxcb-devel’ not found.
    ‘libxkbcommon-devel’ not found in package names. Trying capabilities.
    No provider of ‘libxkbcommon-devel’ found.
    ‘xcb-util-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-devel’ found.
    ‘xcb-util-image-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-image-devel’ found.
    ‘xcb-util-keysyms-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-keysyms-devel’ found.
    ‘xcb-util-renderutil-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-renderutil-devel’ found.
    ‘xcb-util-wm-devel’ not found in package names. Trying capabilities.
    No provider of ‘xcb-util-wm-devel’ found.
    Resolving package dependencies…

    Nothing to do.

    Thanks


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    I'm no SUSE specialist but did you check that these are the right packages name for version 11 ?



  • thank you for answer.

    I was check packagesall ".rpm" on DVD install SUSE. And I also tried install some package from DVD. But it show This package was exist.
    I also inst Qt offline by run terminal, when start Qt, it show fail.
    /qtcreator: symbol lookup error: /opt/Qt5.1.0/Tools/QtCreator/bin/plugins/platforms/libqxcb.so: undefined symbol: XIQueryVersion*

    It is difficult to be able to install and run Qt on SUSE.

    [quote author="SGaist" date="1414483118"]Hi and welcome to devnet,

    I'm no SUSE specialist but did you check that these are the right packages name for version 11 ?[/quote]


  • Lifetime Qt Champion

    Just saw that SUSE 11 is 3 years old and has reached the end of life status. So you are using outdated libraries.



  • [quote author="SGaist" date="1414531688"]Just saw that SUSE 11 is 3 years old and has reached the end of life status. So you are using outdated libraries.[/quote]

    How can I upgrate new libraries ?
    I used command: sudo zypper up ... But it show " Nothings to do"...


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.